Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Starting with MySQL 5.7 some sql_mode variables are required for some plugins #3193

Closed
TheWitness opened this issue Jan 16, 2020 · 1 comment
Labels
bug Undesired behaviour resolved A fixed issue
Milestone

Comments

@TheWitness
Copy link
Member

Describe the bug
Starting with MySQL 5.7 you must a set a new sql_mode to set a date of '0000-00-00'. This needs to be a part of the base API. The variables is ALLOW_INVALID_DATES.

Expected behavior
Any plugin that used a default date of '0000-00-00' will be impacted without this change.

@TheWitness TheWitness added the bug Undesired behaviour label Jan 16, 2020
TheWitness added a commit that referenced this issue Jan 16, 2020
Starting with MySQL 5.7 some sql_mode variables are required for some plugins.
@TheWitness TheWitness added the resolved A fixed issue label Jan 16, 2020
@TheWitness TheWitness added this to the v1.2.9 milestone Jan 16, 2020
@netniV
Copy link
Member

netniV commented Jan 16, 2020

That is a quick fix for now which gets over the hurdle. I would rather see valid dates or null imho in the date since no other system will cope with that date.

TheWitness added a commit that referenced this issue Jan 16, 2020
Minimuze use of eval() in JavaScript due to emerging Content-Security-Contexts guidelines
@github-actions github-actions bot locked and limited conversation to collaborators Jun 30, 2020
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
bug Undesired behaviour resolved A fixed issue
Projects
None yet
Development

No branches or pull requests

2 participants